hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ted Yu <yuzhih...@gmail.com>
Subject Re: Couldn't get dependency '//third-party:folly'
Date Thu, 14 Sep 2017 12:12:17 GMT
Please check that hbase-native-client/third-party/BUCK has the following:

folly = add_system_libs(
    ['folly'],
    lib_dir='/usr/local/lib',
    exported_deps=tp_dep_rules,)

The folly lib is built when docker is built.

On Thu, Sep 14, 2017 at 3:36 AM, Andrzej <borucki_andrzej@wp.pl> wrote:

> On Mint I can rebuild native client, but on new environment, Ubuntu:
> sudo ./bin/start-docker.sh
> buck build //core:core
>
> it says:
> BUILD FAILED: Couldn't get dependency '//third-party:folly' of target
> '//core:core':
> No build file at third-party/BUCK when resolving target
> //third-party:folly.
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message